function [MtM, Mty] = MtMymatrix(alpha, yhs, NoPPHS, indiv) 

% alpha is the vector of covariates of length number of patients
% yhs is the data set sorted according of health states
% NoPPHS is the number of patients who valued the same health state
% indiv is the number of individual sorted according of health states

MtM = [];
Mty = [];
J = length(NoPPHS);

for i = 1:J  
    NoPPHSsum = sum(NoPPHS(1:i));
    lowerbound = NoPPHSsum - NoPPHS(i) + 1;
    upperbound = NoPPHSsum;
    ithNoPPHS = lowerbound:upperbound;
    ithalpha = alpha(indiv(ithNoPPHS));
    ithMtM = sum(ithalpha.^2);
    MtM = [MtM;ithMtM]; 
    ithMty = sum((yhs(ithNoPPHS) - 1 + ithalpha) .*  ithalpha);
    Mty = [Mty;ithMty]; 
end
MtM = [MtM;0]; 
MtM = diag(MtM);
Mty = [Mty;0]; 
