function alphasample = alphaiterate(u, alpha, gama, tausquared, Vsquared, ypat, T, NoHSPP, HS) 

% This function returns the simulated sample for alpha
% ypat is the data set sorted according of patients
% NoHSPP is the number of health states valued by the same patient
% HS is the number of health states sorted according of patients


phi = log(alpha); % Working in terms of phi
philength = length(phi);
phisample = [];
% phi updates
for i = 1:philength  
    NoHSPPsum = sum(NoHSPP(1:i));
    lowerbound = NoHSPPsum - NoHSPP(i) + 1;
    upperbound = NoHSPPsum;
    ithNoHSPP = lowerbound:upperbound;
    uij = u(HS(ithNoHSPP));
    ypatij = ypat(ithNoHSPP);
    phivalue = metropolis(uij, phi(i), gama, tausquared, Vsquared, ypatij, T(i,:));
    phisample = [phisample;phivalue];
end
% alpha sample
alphasample = exp(phisample);
