function [condumean, conduvar]=condumeanvar(u, umean, uvar) 

%This function returns the conditional mean and variance 
% for u given u(111111)=1.


r = length(umean);
s = r - 1;
% mean definitions
mu1 = umean(1:s);
mu2 = umean(r);
% var-covar definitions
sigma11 = uvar(1:s,1:s);
sigma12 = uvar(1:s,r);
sigma21 = uvar(r,1:s);
sigma22 = uvar(r,r);
% conditional mean
condumean = mu1 + sigma12 * inv(sigma22) * (u - mu2);
% conditional var
conduvar = sigma11 - sigma12 * inv(sigma22) * sigma21;