function phivalue = metropolis(uij, phi, gama, tausquared, Vsquared, ypatij, t) 

% This function returns the simulated value for phi
% uij are the health states i valued by patient j.
% ypatij are the SG i valued by patient j.
% phi = log(alpha) of one dimension.
% gama is a vector of parameters of dimension (3x1).
% t is vector from T of dimension (1x3).


phistar = phi + sqrt(0.2) * randn(1); % proposal distribution N(phi, 0.2)
numerator = conditionalphi(uij, phistar, gama, tausquared, Vsquared, ypatij, t);
denominator = conditionalphi(uij, phi, gama, tausquared, Vsquared, ypatij, t);
ratio = min(1, numerator/denominator); %ratio of two distributions
u = rand(1); % random uniform run
% phi updates
if u <= ratio
    phivalue = phistar;
else
    phivalue = phi;
end
