% Samples from multivariate normal (mu,v) distribution using
% cholesky decomposition. 
% If mu is a p-by-1 vector, x will be n-by-p.
% v = covariance matrix
% n = number of observations to generate
% Xmvn = an n by p matrix of row vectors with mean mu and covariance sigma

function Xmvn=mrandn(n,mu,v)

u=chol(v); % cholesky decomposition. 
z=randn(length(mu),n);% vector of std normal
Xmvn=repmat(mu,1,n)+u'*z;