function [residual, residualstd] = residuals(ypat, ys, Vsquareds)

%This function returns residuals and standardised residuals.
% ypat is the data set sorted according to patients

% ys mean
ysmean = mean(ys');
% ys var
ysvar = var(ys');


% To get the residuals, the difference between the actual and predictive y
residual = ypat - ysmean';

% Vsquareds mean
residualvar = ysvar' + mean(Vsquareds);

% To get the standardised residuals
residualstd = residual./sqrt(residualvar);

%=============================================
% CM residuals for all observations (1370 observations)
% These are given from "bayeshui2fullresiduals.xls" file, and called residualschris
% For standardised residuals, note that
% the residual variance from CM analysis is residualschrisvar = 0.04385
% This implies that CM standardised residuals are
% residualschrisstd = residualschris./sqrt(residualschrisvar)
% ================
% SAK residuals and standardised residuals are given from this file
% To get all the standardised residuals plots we do the following:
% ================================================================
% CM:
% ===
% hist(residualschrisstd)
% xlim([-8 8])
% SAK
% ===
% hist(residualsamerstd)
% xlim([-8 8])

% To get all the Q-Q plots we do the following:
% ================================================================
% CM:
% ===
% qqplot(residualschrisstd)
% xlabel('Quantiles of Standard Normal')
% ylabel('Quantiles of Standardised Residuals')
% SAK
% ===
% qqplot(residualsamerstd)
% ylim([-6 8])
% xlabel('Quantiles of Standard Normal')
% ylabel('Quantiles of Standardised Residuals')
% ========================================================================