function posterior = conditionalsigmasquared(u, beta, phi, A, H, ukmean, ukvar)  

% This function returns the conditional density of phi.

% Calculate the prior
prior = exp(phi); % prior obtained

% Calculate the likelihood
ud = u - ukmean;
hkvar = ukvar + exp(phi) .* A;
exponential = (ud - H * beta)' * inv(hkvar) * (ud - H * beta);
kernel = exp(- exponential/2);
cte = 1/sqrt(det(hkvar));
lhd = cte * kernel; % likelihood obtained

% Calculate the posterior
posterior = prior * lhd; % posterior obtained
