function [residual, residualstd] = residuals(ypat, ys, Vsquareds)

%This function returns residuals and standardised residuals.
% ypat is the data set sorted according to patients

% ys mean
ysmean = mean(ys');
% ys var
ysvar = var(ys');


% To get the residuals, the difference between the actual and predictive y
residual = ypat - ysmean';

% Vsquareds mean
residualvar = ysvar' + mean(Vsquareds);

% To get the standardised residuals
residualstd = residual./sqrt(residualvar);

