function sigmasquaredvalue = sigmasquarediterate(u, beta, sigmasquared, A, H, ukmean, ukvar) 

% This function returns the simulated value for sigmasquared

phi = log(sigmasquared);
phistar = phi + sqrt(0.2) * randn(1); % proposal distribution N(sigmasquared, 0.2)
numerator = conditionalsigmasquared(u, beta, phistar, A, H, ukmean, ukvar);
denominator = conditionalsigmasquared(u, beta, phi, A, H, ukmean, ukvar);
ratio = min(1, numerator/denominator); %ratio of two distributions
u = rand(1); % random uniform run
% phi updates
if u <= ratio
    phivalue = phistar;
else
    phivalue = phi;
end
% sigmasquared sample
sigmasquaredvalue = exp(phivalue);
